Subject: Re: [1/5] 2.6.21-rc5: known regressions

From: Adrian Bunk <[email-masked]>
Date: Fri, 30 Mar 2007 20:04:44 +0200

On Wed, Mar 28, 2007 at 11:54:32AM -0700, Kok, Auke wrote:
> Adrian Bunk wrote:
> >Subject    : e1000 resume weirdness
> >References : http://lkml.org/lkml/2007/3/26/91
> >Submitter  : Ingo Molnar <[email-masked]>
> >Handled-By : Jesse Brandeburg <[email-masked]>
> >             Auke Kok <[email-masked]>
> >Status     : problem is being debugged
> 
> The issue comes from a corner case and the underlying problem is that e1000 
> isn't stopping tx properly. We have a fix for this pending in our tree that 
> I'll push upstream for 2.6.22 to Jeff, but I don't think this should be a 
> blocker and it's probably is not a regression at all, the gap has always 
> been present.
> 
> on a side note, this is probably fixed easily by turning the adapters 
> detect_tx_hung flag off in e1000_down, so if someone spots this reoccurring 
> somewhat regularly, please contact me so we can debug it. I myself have a 
> system suspend/resuming in circles for an hour now with traffic flying 
> across without a single hit on it....
> 
> Adrian, you probably want to drop this issue from your list.

Thanks for the update, dropped as non-regression.

> Cheers,
> Auke

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed